Package uk.ac.starlink.topcat

## Class ClassComboBoxRenderer

- java.lang.Object
- - uk.ac.starlink.util.gui.CustomComboBoxRenderer<java.lang.Class>
  - - uk.ac.starlink.topcat.ClassComboBoxRenderer

- All Implemented Interfaces:
    `javax.swing.ListCellRenderer`

      public class ClassComboBoxRenderer
      extends uk.ac.starlink.util.gui.CustomComboBoxRenderer<java.lang.Class>

  Custom combo box renderer for rendering Class objects.
  Since:
    17 Aug 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassComboBoxRenderer​(java.lang.String nullTxt)` | Constructs a renderer with a given null representation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `mapValue​(java.lang.Class clazz)` |

    - ### Methods inherited from class uk.ac.starlink.util.gui.CustomComboBoxRenderer

      `getListCellRendererComponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassComboBoxRenderer

          public ClassComboBoxRenderer​(java.lang.String nullTxt)

      Constructs a renderer with a given null representation.
      Parameters:
        `nullTxt` - representation of a null class

  - ### Method Detail

    - #### mapValue

          protected java.lang.String mapValue​(java.lang.Class clazz)

      Overrides:
        `mapValue` in class `uk.ac.starlink.util.gui.CustomComboBoxRenderer<java.lang.Class>`